Plus de Terminal...

Le
unbewusst.sein
Comme je n'ai pas upgradé encore MacPorts après l'upgrade Lion, MacPorts
est broken, aussi je n'ai plus de Terminal fonctionnel, à son ouverte
j'ai le message :
dyld: Library not loaded: /opt/local/lib/libncurses.5.dylib
Referenced from: /opt/local/bin/zsh
Reason: no suitable image found. Did find:
/usr/lib/libncurses.5.dylib: mach-o, but wrong architecture

[Opération terminée]

Que faire ? Car j'en ai besoin pour mettre à jour MacPorts
dl un autre term qui n'utiliserait pas libncurses ???
--
« La politique, c'est facile : il suffit de faire cinq ans de droit
et tout le reste de travers. »
(Coluche)
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
unbewusst.sein
Le #23668541
Une Bévue
Que faire ?



Il suffit de ne plus utiliser zsh temporairement...

--
« La politique, c'est facile : il suffit de faire cinq ans de droit
et tout le reste de travers. »
(Coluche)
patpro ~ patrick proniewski
Le #23668681
In article (Une Bévue) wrote:

Comme je n'ai pas upgradé encore MacPorts après l'upgrade Lion, MacPorts
est broken, aussi je n'ai plus de Terminal fonctionnel, à son ouverte
j'ai le message :
dyld: Library not loaded: /opt/local/lib/libncurses.5.dylib
Referenced from: /opt/local/bin/zsh
Reason: no suitable image found. Did find:
/usr/lib/libncurses.5.dylib: mach-o, but wrong architecture

[Opération terminée]

Que faire ? Car j'en ai besoin pour mettre à jour MacPorts...
dl un autre term qui n'utiliserait pas libncurses ???



change de shell, peut être. Soit en éditant ton compte utilisateur, soit
en remplaçant /opt/local/bin/zsh par un lien symbolique vers /bin/zsh

patpro

--
A vendre : KVM IP 16 ports APC
http://patpro.net/blog/index.php/2008/01/12/133
ST
Le #23668891
On 21/8/11 3:59 AM, Une Bévue wrote:

Que faire ? Car j'en ai besoin pour mettre à jour MacPorts...




Tu telecharge Aquamacs, tu le lances, tu tapes :

ESC X ansi-term [TAB] /bin/bash

et tu as un terminal.

Emacs est un OS a lui tout seul.


--
http://www.unices.org
unbewusst.sein
Le #23668911
ST
Tu telecharge Aquamacs, tu le lances, tu tapes :

ESC X ansi-term [TAB] /bin/bash

et tu as un terminal.

Emacs est un OS a lui tout seul.



Arrf !!! je n'ai jamais pu me faire à emacs...

j'ai essayé pourtant, depuis system 8 ou 9...

Il faut dire que j'ai utilisé LSE (pour du FORTRAN) sur DEC, alors...

Mais je ré-ré-ré-essayerai !!!
--
« La politique, c'est facile : il suffit de faire cinq ans de droit
et tout le reste de travers. »
(Coluche)
unbewusst.sein
Le #23668901
patpro ~ patrick proniewski
change de shell, peut être. Soit en éditant ton compte utilisateur, soit
en remplaçant /opt/local/bin/zsh par un lien symbolique vers /bin/zsh



oui, c'est ce que j'ai fait, retour à bash pour qq lignes avec MacPorts
puis retour à zsh-latest de MacPorts )))

euh, j'avais deux terms ouverts (fenêtres) et les 2 sont passés en zsh
après avoir, dans l'ordre :
clos un term ;
changé les prefs du Terminal ;
rouvert un term

Normal ça ???
--
« La politique, c'est facile : il suffit de faire cinq ans de droit
et tout le reste de travers. »
(Coluche)
TK
Le #23669071
Le 20/08/11 21:59, Une Bévue a écrit :
Comme je n'ai pas upgradé encore MacPorts après l'upgrade Lion, MacPorts
est broken, aussi je n'ai plus de Terminal fonctionnel, à son ouverte
j'ai le message :
dyld: Library not loaded: /opt/local/lib/libncurses.5.dylib
Referenced from: /opt/local/bin/zsh
Reason: no suitable image found. Did find:
/usr/lib/libncurses.5.dylib: mach-o, but wrong architecture

[Opération terminée]

Que faire ? Car j'en ai besoin pour mettre à jour MacPorts...
dl un autre term qui n'utiliserait pas libncurses ???



Le problème à l'air de venir du shell (une version perso de zsh) plutôt
que du Terminal. Donc quelque soit le terminal, le problème devrait être
le même. Une solution serait de rechanger le shell pour utiliser la
version fournie en standard de zsh (/bin/zsh) avec un chpass -s /bin/zsh.
Didier
Le #23669111
On 2011-08-20 21:59:52 +0200, Une Bévue said:

Comme je n'ai pas upgradé encore MacPorts après l'upgrade Lion, MacPorts
est broken, aussi je n'ai plus de Terminal fonctionnel, à son ouverte
j'ai le message :
dyld: Library not loaded: /opt/local/lib/libncurses.5.dylib
Referenced from: /opt/local/bin/zsh
Reason: no suitable image found. Did find:
/usr/lib/libncurses.5.dylib: mach-o, but wrong architecture

[Opération terminée]

Que faire ? Car j'en ai besoin pour mettre à jour MacPorts...
dl un autre term qui n'utiliserait pas libncurses ???



Bonjour,

As tu essayé un créant un nouveau compte utilisateur et en te
connectant avec ? As tu essayé d'activer le compte root et te connecter
avec ?

Didier
unbewusst.sein
Le #23669181
Didier
As tu essayé un créant un nouveau compte utilisateur et en te
connectant avec ?


Non.
As tu essayé d'activer le compte root et te connecter
avec ?


Non.
J'ai trouvé une solition :
changer de shell (passer à bash au lien de zsh) temprairement ;
désinstaller tous les bins MacPorts ;
réinstaller zsh et dependances ;
revenir à zsh (et là ça roule à nouveau malgrè qq warnings pendants les
uninstallations);
faire les autres updates MacPorts (ça m'a pris une nuit + une matinée) ;

--
« La politique, c'est facile : il suffit de faire cinq ans de droit
et tout le reste de travers. »
(Coluche)
unbewusst.sein
Le #23669191
TK
Une solution serait de rechanger le shell pour utiliser la
version fournie en standard de zsh (/bin/zsh) avec un chpass -s /bin/zsh.



merci, c'est ce que j'ai fait ;-)

--
« La politique, c'est facile : il suffit de faire cinq ans de droit
et tout le reste de travers. »
(Coluche)
unbewusst.sein
Le #23673171
ST
Tu telecharge Aquamacs



ca existe pour un vieil iBook sous 10.4.11 ???

--
« Le propriétaire a une maison et le voyageur en a mille. »
(Proverbe persan)
Publicité
Poster une réponse
Anonyme